# Django Vue app


## 启动方式
1. 前端vue + element-ui编译
    + 进入appfront目录，不同环境下编译，详细查看如下文档
    ```
    appfront/README-DEPLOY.md
    ```
    
    + 项目集成需要，必须编译为生产环境
    ```
    npm run build
    ```
2. 启动django，项目根目录下
	+ 进入交互式命令模式
    ```
    $pipenv shell
    ```
    + 创建虚拟环境，安装依赖
    ```
    $pipenv install
    ```
    + 退出交互式命令模式
    ```
    $exit
    ```
    + 启动（默认IP和端口）
    ```
    $python manage.py runserver
    ```
    + 启动（指定IP和端口）
    ```
    $python manage.py runserver 192.168.1.50:8080
    ```
 